Update of /cvsroot/fink/dists/10.7/stable/main/finkinfo/gnome
In directory vz-cvs-3.sog:/tmp/cvs-serv11746/gnome

Added Files:
        glibmm2.4.info 
Log Message:
to 10.7

--- NEW FILE: glibmm2.4.info ---
Package: glibmm2.4
Version: 2.22.2
Revision: 1
GCC: 4.0
Depends: <<
        %N-dev (= %v-%r),
        fink-obsolete-packages
<<
BuildDependsOnly: true
BuildDepends: <<
        fink (>= 0.24.12),
        fink-package-precedence,
        glib2-dev (>= 2.22.0-1),
        libsigc++2 (>= 2.0.17-1001),
        pkgconfig (>= 0.23)
<<
Source: mirror:gnome:sources/glibmm/2.22/glibmm-%v.tar.bz2
Source-MD5: 8deb936c2f8d66e0b300fc6a973d28ce
SetCPPFLAGS: -DX_LOCALE
SetCFLAGS: -Os -pipe
SetCXXFLAGS: -Os -pipe
ConfigureParams: --mandir=%p/share/man --enable-dependency-tracking 
--enable-warnings=maximum 
PKG_CONFIG_PATH="%p/lib/glib-2.0/pkgconfig-strict:$PKG_CONFIG_PATH"
CompileScript: <<
        PERL_PATH=/usr/bin/perl M4=/usr/bin/m4 ./configure %c
        make
        fink-package-precedence --prohibit-bdep %n-dev .
<<
InstallScript: <<
        make -j1 install DESTDIR=%d
        mkdir -p %i/share/doc/installed-packages
        touch %i/share/doc/installed-packages/%N
<<
SplitOff: <<
        Package: %N-shlibs
        Depends: <<
                glib2-shlibs (>= 2.22.0-1),
                libsigc++2-shlibs (>= 2.0.17-1001)
        <<
        Files: lib/lib*.*.*.dylib
        Shlibs: <<
                %p/lib/libgiomm-2.4.1.dylib 4.0.0 %n (>= 2.18.0-1)
                %p/lib/libglibmm-2.4.1.dylib 4.0.0 %n (>= 2.18.0-1)
                %p/lib/libglibmm_generate_extra_defs-2.4.1.dylib 4.0.0 %n (>= 
2.18.0-1)
        <<
        DocFiles: AUTHORS COPYING* ChangeLog NEWS README
<<
SplitOff2: <<
        Package: %N-dev
        Depends: %N-shlibs (= %v-%r)
        Replaces: %N-common, %N-shlibs (<< 2.6.1-1), %N (<< %v-%r)
        Conflicts: %N-common
        BuildDependsOnly: True
        Files: <<
                include
                lib
                share/aclocal
                share/devhelp
                share/doc/glibmm-2.4
                share/glibmm-2.4
        <<
        DocFiles: AUTHORS COPYING* ChangeLog NEWS README
<<
Description: C++ interface for the glib2 library
DescPackaging: <<
install_name and compatibility_version have not changed since %v=2.4.x
for the libraries that have existed since then
but those packages had those fields wrong in the Shlibs entries. So
we'll make a clean break with the Shlibs dependency.

Doc processor (lib/glibmm-2.4/proc) moved %N-shlibs -> %N as of 2.6.1-1
Then moved %N -> %N-dev as of 2.12.10-1/1001

Misc other docs and things used by things that use glibmm moved
%N->%N-dev as of 2.12.10-2/1002, and some more strays as of 2.20.2-2

Not sure why we pass -DX_LOCALE
<<
License: LGPL
Maintainer: The Gnome Core Team <fink-gnome-c...@lists.sourceforge.net>
Homepage: http://www.gtkmm.org


------------------------------------------------------------------------------
Magic Quadrant for Content-Aware Data Loss Prevention
Research study explores the data loss prevention market. Includes in-depth
analysis on the changes within the DLP market, and the criteria used to
evaluate the strengths and weaknesses of these DLP solutions.
http://www.accelacomm.com/jaw/sfnl/114/51385063/
_______________________________________________
Fink-commits mailing list
Fink-commits@lists.sourceforge.net
http://news.gmane.org/gmane.os.apple.fink.cvs

Reply via email to